2018-01-23 17:31 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0014314CentOS-7boostpublic2017-12-30 03:23
ReporterDaveWK 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionwon't fix 
Platformx64OS7OS Version7.4.1708
Product Version7.4.1708 
Target VersionFixed in Version 
Summary0014314: Update Boost to 1.66
DescriptionHi,

It appears the version of libboost included is fairly old -- 1.53 will be 5 years old come February.

Would like to use 1.66 (Latest as of 12/18/2017)

I think this boost.spec I attached should work OK. I didn't see a way for me to put up a pull request (probably intentional :) )
Additional InformationRemoved patches from previous versions -- should be included in 1.66

Changed:
location of user-config.jam -- no longer a v2 directory

Version: 1.66.0
%define version_enc 1_66_0

Added:
BuildRequires: gcc-c++
BuildRequires: which

Which were needed for compile

Tested against a x64 docker-centos image
TagsNo tags attached.
abrt_hash
URL
Attached Files

-Relationships
+Relationships

-Notes

~0030832

DaveWK (reporter)

on lines #601 and #678 I missed some /v2/ refs..

~0030833

TrevorH (developer)

You're missing what CentOS is. It's a rebuild of exactly what's in RHEL.
+Notes

-Issue History
Date Modified Username Field Change
2017-12-30 00:44 DaveWK New Issue
2017-12-30 00:44 DaveWK File Added: boost.spec
2017-12-30 01:01 DaveWK File Added: boost-2.spec
2017-12-30 01:01 DaveWK Note Added: 0030832
2017-12-30 03:23 TrevorH Status new => closed
2017-12-30 03:23 TrevorH Resolution open => won't fix
2017-12-30 03:23 TrevorH Note Added: 0030833
+Issue History